> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1role



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json post /api/v1/Role
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/Role:
    post:
      tags:
        - Role
      operationId: Role_SaveRoles
      requestBody:
        x-name: saveRoleRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveRolesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveRolesResult'
components:
  schemas:
    SaveRolesRequest:
      type: object
      additionalProperties: false
      properties:
        Roles:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Role'
    SaveRolesResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfSaveRoleActionResult'
        - type: object
          additionalProperties: false
    Role:
      type: object
      additionalProperties: false
      required:
        - Name
        - DisplayName
      properties:
        RoleId:
          type: string
          format: guid
        Name:
          type: string
          maxLength: 30
          minLength: 1
        DisplayName:
          type: string
          maxLength: 50
          minLength: 1
        BuildIn:
          type: boolean
        ExternalGroups:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ExternalUserGroup'
        Inherited:
          type: boolean
    MultiValueResultOfSaveRoleActionResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/SaveRoleActionResult'
    ExternalUserGroup:
      type: object
      additionalProperties: false
      required:
        - ExternalAuthenticationProviderId
        - ExternalId
        - Name
      properties:
        Id:
          type: string
          nullable: true
        ExternalAuthenticationProviderId:
          type: string
          minLength: 1
        ExternalId:
          type: string
          minLength: 1
        Name:
          type: string
          minLength: 1
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    SaveRoleActionResult:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          properties:
            RoleId:
              type: string
              format: guid
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````